<?php
$directorio_copiar = "copiados/";
?>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="author" content="Ezfera Soluciones http://www.ezfera.mx/">
<title>Copiar archivos remotos - Ezfera Soluciones</title>
<style>
body{
	margin-top:50px;
	font:16px Verdana, Geneva, sans-serif;
	background-color:#EEE;
}
input{
	font:20px Verdana, Geneva, sans-serif;
}
.contenido{
	width:550px;
	padding:20px;
	background-color:#FFF;
	margin-left:auto;
	margin-right:auto;
	text-align:center;
	border:1px solid #000;
}
.error{
	color:#F00;
	font-weight:bold;
}
a{
	color:#00F;
	text-decoration:none;
}
a:hover{
	text-decoration:underline;
}
</style>
</head>
<body>
<div class="contenido">
<?php
if($_SERVER["REQUEST_METHOD"] == "POST" && $_POST["copiar"] == "COPIAR"){
	
	$ruta = trim($_POST['ruta']);
	$destino = trim($_POST['destino']);
	
	if(empty($ruta) || $ruta == "http://www."){
		//Ruta en blanco
		$mensaje = '<span class="error">ERROR:</span> Escribe la ruta del archivo a copiar.<br><br><input type="button" value="VOLVER" onclick="javascript:history.back();">';
	} elseif(empty($destino) || $destino == $directorio_copiar){
		//Destino en blanco
		$mensaje = '<span class="error">ERROR:</span> Debes escribir el nombre del archivo para almacenarlo en el directorio "<strong>'.$directorio_copiar.'</strong>"<br><br><input type="button" value="VOLVER" onclick="javascript:history.back();">';
	} else{
		//Procesar archivo
		if( !@copy($ruta, $destino) ){
			$mensaje = '<span class="error">ERROR:</span> Ha ocurrido un problema al intentar copiar el archivo.<br><br><input type="button" value="VOLVER" onclick="javascript:history.back();">';
		} else{
			$mensaje = "¡El archivo <strong><a href=\"$destino\" target=\"_blank\">$destino</a></strong> ha sido copiado con éxito!<br><br><input type=\"button\" value=\"ACEPTAR\" onclick=\"location.href='$_SERVER[SCRIPT_NAME]';\">";
		}
	}
	echo "$mensaje\n";
} else{
?>
<form method="post" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
<label for="ruta">Ruta del archivo:</label><br>
<input type="text" name="ruta" id="ruta" value="http://www." autocomplete="off" autofocus style="width:500px;"><br><span style="font-size:12px;">Ej: http://www.ezfera.mx/archivo.zip</span><br><br>
Destino:<br>
<input type="text" size="80" name="destino" value="<?php echo $directorio_copiar; ?>" autocomplete="off" style="width:500px;"><br><span style="font-size:12px;">Ej: copiados/archivo.zip</span><br><br>
<input type="submit" name="copiar" value="COPIAR"><br><br>
<span style="font-size:12px;">
<a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">Actualizar p&aacute;gina</a>
</span>
</form>
<?php
}
?>
</div>
<p style="font-size:12px; text-align:center;">
=================================================<br>
<a href="http://www.ezfera.mx/clientes/link.php?id=10" target="_blank">Ezfera Soluciones</a>
</p>
</body>
</html>